Summary:	FUIF image format plugin for Qt
Name:		fuif-imageformat-qt
Version:	1.1
Release:	1%{?dist}
License:	GPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/
Source0:	fuif-imageformat-qt-1.1.tar.gz
Source1:	fuif-master.zip
Source2:        Makefile.libfuif
Patch0:         fuif-identify-return.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt
BuildRequires:	qt-devel

%define debug_package %{nil}

%description 
FUIF image format plugin for Qt provides read-only access to FUIF images (they can be opened via QImage class, for example)

%prep
%setup -c -n %{name} -a 1
cd fuif-master
%patch0 -p1

%build
make -f %{SOURCE2} -C fuif-master

cd fuif-imageformat-qt
export FUIFLIB_PATH=../fuif-master FUIFINC_PATH=../fuif-master
qmake-qt4
make
strip -g libfuif.so

%install 
install -D fuif-imageformat-qt/libfuif.so $RPM_BUILD_ROOT%{_libdir}/qt4/plugins/imageformats/libfuif.so

%files 
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/qt4/plugins/imageformats/libfuif.so

%clean 
rm -rf %{buildroot}

%changelog 
*Thu Mar 28 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for fuif-imageformat-qt


